<?php
if(!defined('PLX_ADMIN')) {
	exit;
}

# Control du token du formulaire
plxToken::validateFormToken($_POST);

$profil = filter_input(
	INPUT_POST,
	kzDemo::PARAM_NAME,
	FILTER_VALIDATE_INT,
	array(
		'options' => array(
			'min_range' => PROFIL_ADMIN,
			'max_range' => PROFIL_WRITER,
		),
	)
);
if(is_integer($profil)) {
	$plxPlugin->setParam(kzDemo::PARAM_NAME, $profil, 'numeric');
	$plxPlugin->saveParams();
	header('Location:');
	exit;
}

$profil = $plxPlugin->getParam(kzDemo::PARAM_NAME);
$profil = is_numeric($profil) ? intval($profil) : PROFIL_ADMIN;

?>
<form method="post">
	<?= plxToken::getTokenPostMethod() ?>
	<div>
		<label><?php $plxPlugin->lang(strtoupper(kzDemo::PARAM_NAME)); ?> :</label>
		<select name="<?= kzDemo::PARAM_NAME ?>">
<?php
foreach($plxPlugin->getProfils() as $k=>$caption) {
	$selected = ($k == $profil) ? ' selected' : '';
?>
			<option value="<?= $k ?>"<?= $selected ?>><?= $caption ?></option>
<?php
	}
?>
		</select>
	</div>
	<div class="in-action-bar">
		<input type="submit" />
	</div>
</form>
